Bug 1286887 - Optimizing the volume for virt-store, during volume creation throws error
Optimizing the volume for virt-store, during volume creation throws error
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
x86_64 Linux
high Severity high (vote)
: ovirt-3.6.2
: 3.6.2.1
Assigned To: Ramesh N
SATHEESARAN
:
Depends On:
Blocks: Gluster-HC-1
  Show dependency treegraph
 
Reported: 2015-11-30 21:46 EST by SATHEESARAN
Modified: 2016-02-18 06:10 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
RHEV+RHGS ( Hyperconvergence Infra ) RHEL 7.2
Last Closed: 2016-02-18 06:10:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
screenshot of errors (25.02 KB, image/png)
2015-11-30 21:46 EST, SATHEESARAN
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50571 master MERGED webadmin: Fix Optimize-For-Virt-Store in volume creation 2015-12-16 03:19 EST
oVirt gerrit 50577 ovirt-engine-3.6 MERGED webadmin: Fix Optimize-For-Virt-Store in volume creation 2015-12-24 08:32 EST
oVirt gerrit 51100 ovirt-engine-3.6.2 MERGED webadmin: Fix Optimize-For-Virt-Store in volume creation 2015-12-30 05:28 EST

  None (edit)
Description SATHEESARAN 2015-11-30 21:46:35 EST
Created attachment 1100705 [details]
screenshot of errors

Description of problem:
-----------------------
There is an option in the volume create dialog box to 'optimize the volume for virt-store' - during volume creation itself, not as a separate task.

When I chose that option, I see volume is not really optimized for virt-store.
Also I see errors

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
RHEVM 3.6 Beta1
gluster dev rpms

How reproducible:
------------------
Always

Steps to Reproduce:
-------------------
1. Click on the option to create a gluster volume
2. While mentioning the 'volume name', check the checkbox 'optimize for virt-store'
3. Finish creating a volume

Actual results:
----------------
Errors are seen
Volume is not optimized for virt-store

Expected results:
-----------------
There should not be any errors and volume should be optimized for virt-store
Comment 1 Sahina Bose 2015-12-01 01:57:47 EST
Looks like permission related errors.

Sas, could you attach engine logs from the timeframe? You were logged in as admin at the time?
Comment 2 SATHEESARAN 2015-12-08 02:24:37 EST
(In reply to Sahina Bose from comment #1)
> Looks like permission related errors.
> 
> Sas, could you attach engine logs from the timeframe? You were logged in as
> admin at the time?

2015-12-08 02:23:44,331 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-89) [] START, GlusterVolumesListVDSCommand(HostName = hosted_engine_3, GlusterVolumesListVDSParameters:{runAsync='true', hostId='00893f26-3f4a-4df7-bb1e-bcd85a2d517c'}), log id: 69e4ddaf
2015-12-08 02:23:44,420 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-89) [] FINISH, GlusterVolumesListVDSCommand, return: {518a1030-0fb8-44bb-9a57-318bf5a65a8a=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@4e127449}, log id: 69e4ddaf
2015-12-08 02:23:46,963 INFO  [org.ovirt.engine.core.bll.gluster.CreateGlusterVolumeCommand] (ajp-/127.0.0.1:8702-8) [3f3cee9] Running command: CreateGlusterVolumeCommand internal: false. Entities affected :  ID: 00000002-0002-0002-0002-0000000003d3 Type: VdsGroupsAction group CREATE_GLUSTER_VOLUME with role type ADMIN
2015-12-08 02:23:46,964 INFO  [org.ovirt.engine.core.vdsbroker.gluster.CreateGlusterVolumeVDSCommand] (ajp-/127.0.0.1:8702-8) [3f3cee9] START, CreateGlusterVolumeVDSCommand(HostName = hosted_engine_2, CreateGlusterVolumeVDSParameters:{runAsync='true', hostId='c724d627-44da-4b0a-a2e6-bc29eb70105c'}), log id: 6e184b35
2015-12-08 02:23:47,150 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterTasksListVDSCommand] (DefaultQuartzScheduler_Worker-51) [] START, GlusterTasksListVDSCommand(HostName = hosted_engine_3, VdsIdVDSCommandParametersBase:{runAsync='true', hostId='00893f26-3f4a-4df7-bb1e-bcd85a2d517c'}), log id: 196dc60e
2015-12-08 02:23:47,445 INFO  [org.ovirt.engine.core.vdsbroker.gluster.CreateGlusterVolumeVDSCommand] (ajp-/127.0.0.1:8702-8) [3f3cee9] FINISH, CreateGlusterVolumeVDSCommand, return: org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@556f3730, log id: 6e184b35
2015-12-08 02:23:47,461 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterTasksListVDSCommand] (DefaultQuartzScheduler_Worker-51) [] FINISH, GlusterTasksListVDSCommand, return: [], log id: 196dc60e
2015-12-08 02:23:47,872 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-8) [3f3cee9] Correlation ID: 3f3cee9, Job ID: 7d280a6f-917f-4c46-b319-3a4fb22978a6, Call Stack: null, Custom Event ID: -1, Message: Gluster Volume Gluster-Vol-1 created on cluster Gluster-HC-Cluster-1.
2015-12-08 02:23:48,047 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (ajp-/127.0.0.1:8702-8) [2e0ffc7a] Running command: SetGlusterVolumeOptionCommand internal: true. Entities affected :  ID: d5971b66-301a-4a8f-b4b3-aecefc6ba3bb Type: GlusterVolumeAction group MANIPULATE_GLUSTER_VOLUME with role type ADMIN
2015-12-08 02:23:48,047 INFO  [org.ovirt.engine.core.vdsbroker.gluster.SetGlusterVolumeOptionVDSCommand] (ajp-/127.0.0.1:8702-8) [2e0ffc7a] START, SetGlusterVolumeOptionVDSCommand(HostName = hosted_engine_1, GlusterVolumeOptionVDSParameters:{runAsync='true', hostId='5166f22b-a88f-44a7-80d5-3b1f7f5ad689', volumeName='Gluster-Vol-1'}), log id: 78ab0c28
2015-12-08 02:23:48,265 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVDSCommand] (DefaultQuartzScheduler_Worker-5) [] START, FullListVDSCommand(HostName = , FullListVDSCommandParameters:{runAsync='true', hostId='c724d627-44da-4b0a-a2e6-bc29eb70105c', vds='Host[,c724d627-44da-4b0a-a2e6-bc29eb70105c]', vmIds='[d40368a6-9ae4-46ac-8b1e-acceb669d415]'}), log id: 64d838c4
2015-12-08 02:23:48,270 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVDSCommand] (DefaultQuartzScheduler_Worker-5) [] FINISH, FullListVDSCommand, return: [{status=Up, nicModel=rtl8139,pv, displayIp=0, kvmEnable=true, emulatedMachine=rhel6.5.0, afterMigrationStatus=, pid=7086, vmId=d40368a6-9ae4-46ac-8b1e-acceb669d415, clientIp=, devices=[Ljava.lang.Object;@2f76ff95, guestDiskMapping={}, vmType=kvm, smp=2, displaySecurePort=-1, memSize=4096, displayPort=5900, cpuType=SandyBridge, spiceSecureChannels=smain,sdisplay,sinputs,scursor,splayback,srecord,ssmartcard,susbredir, statusTime=4886056250, vmName=HostedEngine, display=vnc}], log id: 64d838c4
2015-12-08 02:23:48,462 INFO  [org.ovirt.engine.core.vdsbroker.gluster.SetGlusterVolumeOptionVDSCommand] (ajp-/127.0.0.1:8702-8) [2e0ffc7a] FINISH, SetGlusterVolumeOptionVDSCommand, log id: 78ab0c28
2015-12-08 02:23:48,522 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-8) [2e0ffc7a] Correlation ID: 2e0ffc7a, Job ID: 7d280a6f-917f-4c46-b319-3a4fb22978a6, Call Stack: null, Custom Event ID: -1, Message: Volume Option nfs.disable=on set on Gluster-Vol-1 of cluster Gluster-HC-Cluster-1.
2015-12-08 02:23:48,850 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (ajp-/127.0.0.1:8702-8) [236f43cf] Running command: SetGlusterVolumeOptionCommand internal: true. Entities affected :  ID: d5971b66-301a-4a8f-b4b3-aecefc6ba3bb Type: GlusterVolumeAction group MANIPULATE_GLUSTER_VOLUME with role type ADMIN
2015-12-08 02:23:48,850 INFO  [org.ovirt.engine.core.vdsbroker.gluster.SetGlusterVolumeOptionVDSCommand] (ajp-/127.0.0.1:8702-8) [236f43cf] START, SetGlusterVolumeOptionVDSCommand(HostName = hosted_engine_2, GlusterVolumeOptionVDSParameters:{runAsync='true', hostId='c724d627-44da-4b0a-a2e6-bc29eb70105c', volumeName='Gluster-Vol-1'}), log id: 209244a5
2015-12-08 02:23:49,225 INFO  [org.ovirt.engine.core.vdsbroker.gluster.SetGlusterVolumeOptionVDSCommand] (ajp-/127.0.0.1:8702-8) [236f43cf] FINISH, SetGlusterVolumeOptionVDSCommand, log id: 209244a5
2015-12-08 02:23:49,289 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-8) [236f43cf] Correlation ID: 236f43cf, Job ID: 7d280a6f-917f-4c46-b319-3a4fb22978a6, Call Stack: null, Custom Event ID: -1, Message: Volume Option user.cifs=disable set on Gluster-Vol-1 of cluster Gluster-HC-Cluster-1.
2015-12-08 02:23:49,432 INFO  [org.ovirt.engine.core.bll.lock.InMemoryLockManager] (DefaultQuartzScheduler_Worker-27) [] Failed to acquire lock and wait lock 'EngineLock:{exclusiveLocks='[00000002-0002-0002-0002-0000000003d3=<GLUSTER, ACTION_TYPE_FAILED_GLUSTER_OPERATION_INPROGRESS>]', sharedLocks='null'}'
2015-12-08 02:23:49,522 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (ajp-/127.0.0.1:8702-8) [7c7ff1e] Running command: SetGlusterVolumeOptionCommand internal: true. Entities affected :  ID: d5971b66-301a-4a8f-b4b3-aecefc6ba3bb Type: GlusterVolumeAction group MANIPULATE_GLUSTER_VOLUME with role type ADMIN
2015-12-08 02:23:49,523 INFO  [org.ovirt.engine.core.vdsbroker.gluster.SetGlusterVolumeOptionVDSCommand] (ajp-/127.0.0.1:8702-8) [7c7ff1e] START, SetGlusterVolumeOptionVDSCommand(HostName = hosted_engine_1, GlusterVolumeOptionVDSParameters:{runAsync='true', hostId='5166f22b-a88f-44a7-80d5-3b1f7f5ad689', volumeName='Gluster-Vol-1'}), log id: 3940f850
2015-12-08 02:23:49,919 INFO  [org.ovirt.engine.core.vdsbroker.gluster.SetGlusterVolumeOptionVDSCommand] (ajp-/127.0.0.1:8702-8) [7c7ff1e] FINISH, SetGlusterVolumeOptionVDSCommand, log id: 3940f850
2015-12-08 02:23:49,972 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-8) [7c7ff1e] Correlation ID: 7c7ff1e, Job ID: 7d280a6f-917f-4c46-b319-3a4fb22978a6, Call Stack: null, Custom Event ID: -1, Message: Volume Option auth.allow=* set on Gluster-Vol-1 of cluster Gluster-HC-Cluster-1.
2015-12-08 02:23:50,022 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-27) [] START, GlusterVolumesListVDSCommand(HostName = hosted_engine_3, GlusterVolumesListVDSParameters:{runAsync='true', hostId='00893f26-3f4a-4df7-bb1e-bcd85a2d517c'}), log id: 444f75d8
2015-12-08 02:23:50,023 INFO  [org.ovirt.engine.core.bll.gluster.CreateGlusterVolumeCommand] (ajp-/127.0.0.1:8702-8) [7c7ff1e] Lock freed to object 'EngineLock:{exclusiveLocks='[00000002-0002-0002-0002-0000000003d3=<GLUSTER, ACTION_TYPE_FAILED_GLUSTER_OPERATION_INPROGRESS>]', sharedLocks='null'}'
2015-12-08 02:23:50,117 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-27) [] FINISH, GlusterVolumesListVDSCommand, return: {d5971b66-301a-4a8f-b4b3-aecefc6ba3bb=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@9540f50b, 518a1030-0fb8-44bb-9a57-318bf5a65a8a=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@b7983eff}, log id: 444f75d8
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-22) [35a34c0b] Start running CanDoAction for command number 1/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-35) [73d581af] Start running CanDoAction for command number 2/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-22) [35a34c0b] No permission found for user '00000018-0018-0018-0018-000000000088' or one of the groups he is member of, when running action 'SetGlusterVolumeOption', Required permissions are: Action type: 'ADMIN' Action group: 'MANIPULATE_GLUSTER_VOLUME' Object type: 'Gluster Volume'  Object ID: 'null'.
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-35) [73d581af] No permission found for user '00000018-0018-0018-0018-000000000088' or one of the groups he is member of, when running action 'SetGlusterVolumeOption', Required permissions are: Action type: 'ADMIN' Action group: 'MANIPULATE_GLUSTER_VOLUME' Object type: 'Gluster Volume'  Object ID: 'null'.
2015-12-08 02:23:50,126 WARN  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-35) [73d581af] CanDoAction of action 'SetGlusterVolumeOption' failed for user admin@internal. Reasons: VAR__ACTION__SET,VAR__TYPE__GLUSTER_VOLUME_OPTION,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-36) [46354392] Start running CanDoAction for command number 3/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-35) [73d581af] Finish handling CanDoAction for command number 2/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-36) [46354392] No permission found for user '00000018-0018-0018-0018-000000000088' or one of the groups he is member of, when running action 'SetGlusterVolumeOption', Required permissions are: Action type: 'ADMIN' Action group: 'MANIPULATE_GLUSTER_VOLUME' Object type: 'Gluster Volume'  Object ID: 'null'.
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-35) [52e74a40] Start running CanDoAction for command number 4/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-37) [4ebbda45] Start running CanDoAction for command number 5/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-35) [52e74a40] No permission found for user '00000018-0018-0018-0018-000000000088' or one of the groups he is member of, when running action 'SetGlusterVolumeOption', Required permissions are: Action type: 'ADMIN' Action group: 'MANIPULATE_GLUSTER_VOLUME' Object type: 'Gluster Volume'  Object ID: 'null'.
2015-12-08 02:23:50,126 INFO  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-37) [4ebbda45] No permission found for user '00000018-0018-0018-0018-000000000088' or one of the groups he is member of, when running action 'SetGlusterVolumeOption', Required permissions are: Action type: 'ADMIN' Action group: 'MANIPULATE_GLUSTER_VOLUME' Object type: 'Gluster Volume'  Object ID: 'null'.
2015-12-08 02:23:50,127 WARN  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-37) [4ebbda45] CanDoAction of action 'SetGlusterVolumeOption' failed for user admin@internal. Reasons: VAR__ACTION__SET,VAR__TYPE__GLUSTER_VOLUME_OPTION,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION
2015-12-08 02:23:50,127 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-37) [4ebbda45] Finish handling CanDoAction for command number 5/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,127 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-37) [4ebbda45] Finish handling CanDoAction for command number 5/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,126 WARN  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-36) [46354392] CanDoAction of action 'SetGlusterVolumeOption' failed for user admin@internal. Reasons: VAR__ACTION__SET,VAR__TYPE__GLUSTER_VOLUME_OPTION,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION
2015-12-08 02:23:50,127 WARN  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-22) [35a34c0b] CanDoAction of action 'SetGlusterVolumeOption' failed for user admin@internal. Reasons: VAR__ACTION__SET,VAR__TYPE__GLUSTER_VOLUME_OPTION,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION
2015-12-08 02:23:50,127 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-22) [35a34c0b] Finish handling CanDoAction for command number 1/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,127 WARN  [org.ovirt.engine.core.bll.gluster.SetGlusterVolumeOptionCommand] (org.ovirt.thread.pool-7-thread-35) [52e74a40] CanDoAction of action 'SetGlusterVolumeOption' failed for user admin@internal. Reasons: VAR__ACTION__SET,VAR__TYPE__GLUSTER_VOLUME_OPTION,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION
2015-12-08 02:23:50,127 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-35) [52e74a40] Finish handling CanDoAction for command number 4/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,127 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (org.ovirt.thread.pool-7-thread-36) [46354392] Finish handling CanDoAction for command number 3/5 (Command type 'SetGlusterVolumeOption')
2015-12-08 02:23:50,137 WARN  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler_Worker-27) [] Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: Detected new option performance.readdir-ahead=on on volume Gluster-Vol-1 of cluster Gluster-HC-Cluster-1, and added it to engine DB.
2015-12-08 02:23:50,137 INFO  [org.ovirt.engine.core.bll.gluster.GlusterSyncJob] (DefaultQuartzScheduler_Worker-27) [] New option 'performance.readdir-ahead'='on' set on volume 'Gluster-Vol-1' from gluster CLI. Updating engine DB accordingly.
2015-12-08 02:23:50,172 ERROR [org.ovirt.engine.core.bll.host.provider.foreman.SystemProviderFinder] (ajp-/127.0.0.1:8702-11) [] Failed to find host on any provider by host name 'rhev-engine1.lab.eng.blr.redhat.com' 
2015-12-08 02:23:50,220 ERROR [org.ovirt.engine.core.bll.host.provider.foreman.SystemProviderFinder] (ajp-/127.0.0.1:8702-7) [] Failed to find host on any provider by host name 'rhev-engine1.lab.eng.blr.redhat.com' 
2015-12-08 02:23:50,722 ERROR [org.ovirt.engine.core.bll.host.provider.foreman.SystemProviderFinder] (ajp-/127.0.0.1:8702-3) [] Failed to find host on any provider by host name 'rhev-engine1.lab.eng.blr.redhat.com' 
2015-12-08 02:23:51,008 ERROR [org.ovirt.engine.core.bll.host.provider.foreman.SystemProviderFinder] (ajp-/127.0.0.1:8702-10) [] Failed to find host on any provider by host name 'rhev-engine1.lab.eng.blr.redhat.com' 
2015-12-08 02:23:55,205 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-12) [] START, GlusterVolumesListVDSCommand(HostName = hosted_engine_3, GlusterVolumesListVDSParameters:{runAsync='true', hostId='00893f26-3f4a-4df7-bb1e-bcd85a2d517c'}), log id: 267f30b6
2015-12-08 02:23:55,299 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-12) [] FINISH, GlusterVolumesListVDSCommand, return: {d5971b66-301a-4a8f-b4b3-aecefc6ba3bb=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@31271c28, 518a1030-0fb8-44bb-9a57-318bf5a65a8a=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@4de97354}, log id: 267f30b6

2015-12-08 02:24:00,322 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-59) [] START, GlusterVolumesListVDSCommand(HostName = hosted_engine_3, GlusterVolumesListVDSParameters:{runAsync='true', hostId='00893f26-3f4a-4df7-bb1e-bcd85a2d517c'}), log id: 7e55376e

2015-12-08 02:24:00,417 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterVolumesListVDSCommand] (DefaultQuartzScheduler_Worker-59) [] FINISH, GlusterVolumesListVDSCommand, return: {d5971b66-301a-4a8f-b4b3-aecefc6ba3bb=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@2f8abf5d, 518a1030-0fb8-44bb-9a57-318bf5a65a8a=org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeEntity@d9652772}, log id: 7e55376e
Comment 3 SATHEESARAN 2015-12-08 02:26:45 EST
One more information is that, this problem is seen only when I try to 'Optimize for virt-store' during volume creation.

If I try to 'optimize for virt-store' separately, it works well
Comment 4 Red Hat Bugzilla Rules Engine 2015-12-10 21:19:19 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 5 Sandro Bonazzola 2016-01-14 03:28:28 EST
Sorry for the noise with assignee, something went wrong while setting target release.
Yaniv, why tr has been set to 3.6.2.1? last patch is from 2015-12-30 which is past 3.6.2.1 GA.
Comment 6 Yaniv Lavi 2016-01-14 03:59:44 EST
(In reply to Sandro Bonazzola from comment #5)
> Sorry for the noise with assignee, something went wrong while setting target
> release.
> Yaniv, why tr has been set to 3.6.2.1? last patch is from 2015-12-30 which
> is past 3.6.2.1 GA.

the 3.6.2 patch is included in ovirt-engine-3.6.2.1.
Comment 7 SATHEESARAN 2016-01-21 10:09:06 EST
Tested with RHEVM 3.6.2.5-0.1.el6 and with RHGS 3.1.2 Nightly ( glusterfs-3.7.1-16.el7rhgs )

Optimizing the volume for virt-store while volume creating works.

Note :
RHGS 3.1.2 has vdsm 4.16.z and it can't be added to RHEVM 3.6
So I have used the custom build vdsm & vdsm gluster of build 4.17.16

Note You need to log in before you can comment on or make changes to this bug.